## fcitx5-table-extra 5.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(fcitx5-table-extra VERSION 5.1.3)

find_package(ECM 1.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Gettext REQUIRED)
find_package(LibIMETable REQUIRED)
find_package(Fcitx5Core REQUIRED)

add_subdirectory(icons)
add_subdirectory(tables)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.TableExtra.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.TableExtra.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.TableExtra.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-table-extra (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 23:25:07 -0500

fcitx5-table-extra (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jan 2024 12:37:49 -0500

fcitx5-table-extra (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 10:17:53 -0500

fcitx5-table-extra (5.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #997975)

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 15:53:55 -0400

=== debian/control ===
Source: fcitx5-table-extra
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libboost-dev,
 libfcitx5core-dev,
 libfcitx5utils-dev,
 libime-bin,
 libimecore-dev,
 libimetable-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/fcitx/fcitx5-table-extra
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-extra.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-extra
Rules-Requires-Root: no

Package: fcitx5-table-array30
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-array30,
Description: Flexible Input Method Framework v5 - Array30 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Array30 table used by the Fcitx5 table engine.

Package: fcitx5-table-array30-large
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-array30-big,
Description: Flexible Input Method Framework v5 - Array30-Large table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Array30-Large table used by the Fcitx5 table engine.

Package: fcitx5-table-boshiamy
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-boshiamy,
Description: Flexible Input Method Framework v5 - Boshiamy table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Boshiamy table used by the Fcitx5 table engine.

Package: fcitx5-table-cangjie-large
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Cangjie-Large table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie-Large table used by the Fcitx5 table engine.

Package: fcitx5-table-cangjie3
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-cangjie3,
Description: Flexible Input Method Framework v5 - Cangjie3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie3 table used by the Fcitx5 table engine.

Package: fcitx5-table-cangjie5
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-cangjie5,
Description: Flexible Input Method Framework v5 - Cangjie5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cangjie5 table used by the Fcitx5 table engine.

Package: fcitx5-table-cantonese
Architecture: all
Multi-Arch: foreign
Conflicts:
 fcitx-table-cantonese,
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Cantonese table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cantonese table used by the Fcitx5 table engine.

Package: fcitx5-table-cantonhk
Architecture: all
Multi-Arch: foreign
Conflicts:
 fcitx-table-cantonhk,
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Cantonhk table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cantonhk table used by the Fcitx5 table engine.

Package: fcitx5-table-easy-large
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Easy-Large table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Easy-Large table used by the Fcitx5 table engine.

Package: fcitx5-table-extra
Architecture: all
Section: metapackages
Depends:
 ${misc:Depends},
Recommends:
 fcitx5-table-array30,
 fcitx5-table-array30-large,
 fcitx5-table-boshiamy,
 fcitx5-table-cangjie-large,
 fcitx5-table-cangjie3,
 fcitx5-table-cangjie5,
 fcitx5-table-cantonese,
 fcitx5-table-cantonhk,
 fcitx5-table-easy-large,
 fcitx5-table-jyutping,
 fcitx5-table-quick-classic,
 fcitx5-table-quick3,
 fcitx5-table-quick5,
 fcitx5-table-scj6,
 fcitx5-table-stroke5,
 fcitx5-table-t9,
 fcitx5-table-wu,
 fcitx5-table-wubi-large,
 fcitx5-table-wubi98,
 fcitx5-table-wubi98-pinyin,
 fcitx5-table-wubi98-single,
 fcitx5-table-zhengma,
 fcitx5-table-zhengma-large,
 fcitx5-table-zhengma-pinyin,
Description: Additional table based input method for Fcitx 5
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This metapackage recommends all additional table based input methods provided
 by fcitx5-table-extra project.

Package: fcitx5-table-jyutping
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-jyutping,
Description: Flexible Input Method Framework v5 - Jyutping table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Jyutping table used by the Fcitx5 table engine.

Package: fcitx5-table-quick-classic
Architecture: all
Multi-Arch: foreign
Conflicts:
 fcitx-table-quick-classic,
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Quick-Classic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick-Classic table used by the Fcitx5 table engine.

Package: fcitx5-table-quick3
Architecture: all
Multi-Arch: foreign
Conflicts:
 fcitx-table-quick3,
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Quick3 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick3 table used by the Fcitx5 table engine.

Package: fcitx5-table-quick5
Architecture: all
Multi-Arch: foreign
Conflicts:
 fcitx-table-quick5,
Depends:
 fcitx5-table,
 ${misc:Depends},
Description: Flexible Input Method Framework v5 - Quick5 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Quick5 table used by the Fcitx5 table engine.

Package: fcitx5-table-scj6
Architecture: all

## fcitx5-table-extra 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.8)
 
-project(fcitx5-table-extra VERSION 5.1.3)
+project(fcitx5-table-extra VERSION 5.1.6)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-extra (5.1.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jul 2024 16:26:07 -0400

fcitx5-table-extra (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:58:38 -0400

fcitx5-table-extra (5.1.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 May 2024 10:38:38 -0400

fcitx5-table-extra (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Apr 2024 22:31:14 -0400

fcitx5-table-extra (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Mar 2024 10:04:42 -0400

## fcitx5-table-extra 5.1.7

=== debian/changelog ===
fcitx5-table-extra (5.1.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Feb 2025 12:24:01 -0500

fcitx5-table-extra (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 10:01:41 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-table-extra
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-extra.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-extra

## fcitx5-table-extra 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.8)
 
-project(fcitx5-table-extra VERSION 5.1.6)
+project(fcitx5-table-extra VERSION 5.1.8)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-extra (5.1.8-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:50:54 -0400

fcitx5-table-extra (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Aug 2025 16:38:36 -0400

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  libboost-dev,
- libfcitx5core-dev,
- libfcitx5utils-dev,
+ libfcitx5core-dev (>= 5.1.14-4~),
+ libfcitx5utils-dev (>= 5.1.14-4~),
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-table-extra
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-extra.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-extra
@@ -334,4 +334,3 @@
  This package provides Quick5 table used by the Fcitx5 table engine.
 
 Package: fcitx5-table-scj6
-Architecture: all

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-table-extra/ \
 fcitx5-table-extra-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx5-table-extra 5.1.9

=== tables/CMakeLists.txt ===
set(TABLE_NAME
  boshiamy zhengma cangjie3 cangjie5 cangjie-large
  quick3 quick5 quick-classic
  scj6 easy-large wu cantonese cantonhk jyutping-table stroke5 array30 array30-large
  wubi-large zhengma-large zhengma-pinyin
  t9
  wubi98 wubi98-pinyin wubi98-single
  wubi98-large
  )

set(MB_FILE)
set(CONF_FILE)

foreach(table ${TABLE_NAME})
  fcitx5_translate_desktop_file("${table}.conf.in" "${table}.conf")
  add_custom_command(OUTPUT "${table}.main.dict"
    DEPENDS "${table}.txt"
    COMMAND LibIME::tabledict ARGS "${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/${table}.main.dict")
  set(MB_FILE ${MB_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.main.dict")
  set(CONF_FILE ${CONF_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
endforeach()
add_custom_target(table_data ALL DEPENDS ${MB_FILE})

install(FILES ${CONF_FILE} DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")
install(FILES ${MB_FILE} DESTINATION "${FCITX_INSTALL_PKGDATADIR}/table")

=== debian/changelog ===
fcitx5-table-extra (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Nov 2025 15:15:30 -0500

## fcitx5-table-extra 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.8)
 
-project(fcitx5-table-extra VERSION 5.1.8)
+project(fcitx5-table-extra VERSION 5.1.10)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-extra (5.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 21:22:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fcitx5-table-extra
 Section: utils
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -14,11 +13,10 @@
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-table-extra
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-extra.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-extra
-Rules-Requires-Root: no
 
 Package: fcitx5-table-array30
 Architecture: all
@@ -334,3 +332,5 @@
  This package provides Quick5 table used by the Fcitx5 table engine.
 
 Package: fcitx5-table-scj6
+Architecture: all
+Multi-Arch: foreign
